Subject: [Ltru] Re: Test suite for language tags?

From: "Doug Ewell" <[email-masked]>
Date: Sun, 17 Sep 2006 16:33:53 -0700

Mark Davis <mark dot davis at icu dash project dot org> wrote:

> Regex: ((?: [a-z A-Z]{2,3} (?: [-] [a-z A-Z]{3} ){0,3} | [a-z 
> A-Z]{4,8}
> ))(?: [-] ((?: [a-z A-Z]{4} )) )?(?: [-] ((?: [a-z A-Z]{2} | 
> [0-9]{3} ))
> )?(?: [-] ((?: (?: [0-9] [a-z A-Z 0-9]{3} | [a-z A-Z 0-9]{5,8} ) (?: 
> [-] (?:
> [0-9] [a-z A-Z 0-9]{3} | [a-z A-Z 0-9]{5,8} ) )* )) )?(?: [-] ((?: (?: 
> [a-w
> y-z A-W Y-Z] (?: [-] [a-z A-Z 0-9]{2,8} )+ ) (?: [-] (?: [a-w y-z A-W 
> Y-Z]
> (?: [-] [a-z A-Z 0-9]{2,8} )+ ) )* )) )?(?: [-] ((?: [xX] (?: [-] [a-z 
> A-Z
> 0-9]{1,8} )+ )) )?| ( (?i) art [-] lojban| cel [-] gaulish| en [-] (?: 
> boont
> | GB [-] oed | scouse )| i [-] (?: ami | bnn | default | enochian | 
> hak |
> klingon | lux | mingo | navajo | pwn | tao | tay | tsu )| no [-] (?: 
> bok |
> nyn)| sgn [-] (?: BE [-] fr | BE [-] nl | CH [-] de)| zh [-] (?: cmn | 
> zh
> [-] cmn [-] Hans | cmn [-] Hant | gan | guoyu | hakka | min | min [-] 
> nan |
> wuu | xiang | yue))| ((?: [xX] (?: [-] [a-z A-Z 0-9]{1,8} )+ ))

Good Lord.  I don't know if you should be proud or ashamed of that. 
Probably both.

See also:
http://en.wikipedia.org/wiki/Obfuscated_code

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
RFC 4645  *  UTN #14

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 17 Sep 2006 17:57:41 -0600

LOL. I don't think you saw the earlier message; this is machine-generated.

Mark